package com.sybase.sup.samples.objectapi;

import com.sybase.collections.GenericList;
import com.sybase.persistence.SynchronizationGroup;

import SUP101.Customer;
import SUP101.SUP101DB;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class DetailActivity extends Activity
{
    private int surrogateKey;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.detail);
        
        Intent intent = this.getIntent();
        surrogateKey = Integer.valueOf(intent.getExtras().getString("sk"));
        Customer customer = Customer.find(surrogateKey);
        
        final EditText fname = (EditText)findViewById(R.id.fname);
        fname.setText(customer.getFname());
        final EditText lname = (EditText)findViewById(R.id.lname);
        lname.setText(customer.getLname());
        final EditText address = (EditText)findViewById(R.id.address);
        address.setText(customer.getAddress());
        final EditText phone = (EditText)findViewById(R.id.phone);
        phone.setText(customer.getPhone());
        
        Button submit = (Button)findViewById(R.id.submit);
        submit.setOnClickListener(new OnClickListener(){

            @Override
            public void onClick(View v)
            {
                Customer customer = Customer.find(DetailActivity.this.surrogateKey);
                customer.setFname(fname.getText().toString());
                customer.setLname(lname.getText().toString());
                customer.setAddress(address.getText().toString());
                customer.setPhone(phone.getText().toString());
                customer.update();
                customer.submitPending();
                GenericList<SynchronizationGroup> syncGroups = new GenericList<SynchronizationGroup>();
                syncGroups.add(SUP101DB.getSynchronizationGroup("default"));
                SUP101DB.beginSynchronize(syncGroups, "");
                DetailActivity.this.setResult(Activity.RESULT_OK);
                DetailActivity.this.finish();
            }});
    }
}
